package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.DMP;
import eu.eudat.entities.Project;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.criteria.ProjectCriteria;
import eu.eudat.models.criteria.UserInfoCriteria;
import eu.eudat.queryable.QueryableList;
import org.springframework.stereotype.Service;

public interface UserInfoDao {

	QueryableList<UserInfo> getWithCriteria(UserInfoCriteria criteria);

	UserInfo createOrUpdate(UserInfo item);

	UserInfo find(UUID id);

	Long count();
	
}