package eu.eudat.services;

import eu.eudat.dao.entities.*;
import eu.eudat.dao.entities.security.CredentialDao;
import eu.eudat.dao.entities.security.UserTokenDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by ikalyvas on 1/4/2018.
 */
@Service("databaseRepository")
public class DatabaseRepositoryImpl implements DatabaseRepository{

    private DataRepositoryDao dataRepositoryDao;
    private DatasetDao datasetDao;
    private DatasetProfileDao datasetProfileDao;
    private DatasetRegistryDao datasetRegistryDao;
    private DatasetServiceDao datasetServiceDao;
    private DMPDao dmpDao;
    private DMPProfileDao dmpProfileDao;
    private DMPResearcherDao dmpResearcherDao;
    private OrganisationDao organisationDao;
    private ProjectDao projectDao;
    private RegistryDao registryDao;
    private ResearcherDao researcherDao;
    private ServiceDao serviceDao;
    private UserInfoDao userInfoDao;
    private InvitationDao invitationDao;
    private CredentialDao credentialDao;
    private UserTokenDao userTokenDao;
    @Autowired
    private void setDataRepositoryDao(DataRepositoryDao dataRepositoryDao) {
        this.dataRepositoryDao = dataRepositoryDao;
    }

    @Autowired
    private void setDatasetDao(DatasetDao datasetDao) {
        this.datasetDao = datasetDao;
    }

    @Autowired
    private void setDatasetProfileDao(DatasetProfileDao datasetProfileDao) {
        this.datasetProfileDao = datasetProfileDao;
    }

    @Autowired
    public void setDatasetRegistryDao(DatasetRegistryDao datasetRegistryDao) {
        this.datasetRegistryDao = datasetRegistryDao;
    }

    @Autowired
    private void setDatasetServiceDao(DatasetServiceDao datasetServiceDao) {
        this.datasetServiceDao = datasetServiceDao;
    }

    @Autowired
    private void setDmpDao(DMPDao dmpDao) {
        this.dmpDao = dmpDao;
    }

    @Autowired
    public void setDmpProfileDao(DMPProfileDao dmpProfileDao) {
        this.dmpProfileDao = dmpProfileDao;
    }

    @Autowired
    private void setDmpResearcherDao(DMPResearcherDao dmpResearcherDao) {
        this.dmpResearcherDao = dmpResearcherDao;
    }

    @Autowired
    private void setOrganisationDao(OrganisationDao organisationDao) {
        this.organisationDao = organisationDao;
    }

    @Autowired
    private void setProjectDao(ProjectDao projectDao) {
        this.projectDao = projectDao;
    }

    @Autowired
    private void setRegistryDao(RegistryDao registryDao) {
        this.registryDao = registryDao;
    }

    @Autowired
    private void setResearcherDao(ResearcherDao researcherDao) {
        this.researcherDao = researcherDao;
    }

    @Autowired
    public void setServiceDao(ServiceDao serviceDao) {
        this.serviceDao = serviceDao;
    }

    @Autowired
    private void setUserInfoDao(UserInfoDao userInfoDao) {
        this.userInfoDao = userInfoDao;
    }

    @Override
    public DataRepositoryDao getDataRepositoryDao() {
        return dataRepositoryDao;
    }

    @Override
    public DatasetDao getDatasetDao() {
        return datasetDao;
    }

    @Override
    public DatasetProfileDao getDatasetProfileDao() {
        return datasetProfileDao;
    }

    @Override
    public DatasetRegistryDao getDatasetRegistryDao() {
        return datasetRegistryDao;
    }

    @Override
    public DatasetServiceDao getDatasetServiceDao() {
        return datasetServiceDao;
    }

    @Override
    public DMPDao getDmpDao() {
        return dmpDao;
    }

    @Override
    public DMPProfileDao getDMPProfileDao() {
        return dmpProfileDao;
    }

    @Override
    public DMPResearcherDao getDMPResearcherDao() {
        return dmpResearcherDao;
    }

    @Override
    public OrganisationDao getOrganisationDao() {
        return organisationDao;
    }

    @Override
    public ProjectDao getProjectDao() {
        return projectDao;
    }

    @Override
    public RegistryDao getRegistryDao() {
        return registryDao;
    }

    @Override
    public ResearcherDao getResearcherDao() {
        return researcherDao;
    }

    @Override
    public ServiceDao getServiceDao() {
        return serviceDao;
    }

    @Override
    public UserInfoDao getUserInfoDao() {
        return userInfoDao;
    }

    @Override
    public DMPProfileDao getDmpProfileDao() {
        return dmpProfileDao;
    }

    @Override
    public DMPResearcherDao getDmpResearcherDao() {
        return dmpResearcherDao;
    }

    @Override
    public InvitationDao getInvitationDao() {
        return invitationDao;
    }

    @Autowired
    public void setInvitationDao(InvitationDao invitationDao) {
        this.invitationDao = invitationDao;
    }

    @Override
    public CredentialDao getCredentialDao() {
        return credentialDao;
    }

    @Autowired
    public void setCredentialDao(CredentialDao credentialDao) {
        this.credentialDao = credentialDao;
    }

    @Override
    public UserTokenDao getUserTokenDao() {
        return userTokenDao;
    }

    @Autowired
    public void setUserTokenDao(UserTokenDao userTokenDao) {
        this.userTokenDao = userTokenDao;
    }
}
