package eu.eudat.validators;

import eu.eudat.models.admin.composite.DatasetProfile;
import eu.eudat.models.project.ProjectTableRequest;
import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * Created by ikalyvas on 1/3/2018.
 */
@Component("datasetProfileValidator")
public class DatasetProfileValidator implements Validator {
    @Override
    public boolean supports(Class<?> aClass) {
        return DatasetProfile.class.equals(aClass);
    }

    @Override
    public void validate(Object obj, Errors errors) {
        DatasetProfile datasetProfile = (DatasetProfile) obj;
        if(datasetProfile.getLabel()==null){
            errors.rejectValue("label", "datasetprofile.label.null");
        }
    }
    public static boolean supportsType(Class<?> clazz) {
        return DatasetProfile.class.equals(clazz);
    }

}
