package eu.eudat.services;


import eu.eudat.dao.entities.DMPDao;
import eu.eudat.dao.entities.InvitationDao;
import eu.eudat.entities.DMP;
import eu.eudat.entities.Invitation;
import eu.eudat.models.userinfo.UserInfo;
import eu.eudat.models.userinfo.UserInfoInvitationModel;

import java.util.List;

/**
 * Created by ikalyvas on 1/4/2018.
 */
public interface InvitationService {
    void assignToDmp(DMPDao dmpDao, List<eu.eudat.entities.UserInfo> users, DMP dmp);

    void assignToDmp(DMPDao dmpDao, eu.eudat.entities.UserInfo user, DMP dmp);

    void createInvitations(InvitationDao invitationDao,MailService mailService, List<eu.eudat.entities.UserInfo> users, DMP dmp, eu.eudat.entities.UserInfo creator);

    void sendInvitation(DMP dmp, Invitation invitation,MailService mailService);
}
